Get interactions count for a parent object
get
/crmRestApi/resources/11.13.18.05/interactions
This method gets the interactions count by day for all users.
Request
Query Parameters
-
duration: string
Specifies the historical time, in days, which the returned data represents.Default Value:
7DAllowed Values:[ "7D", "30D", "60D", "90D" ] -
managerGuid: string
Specifies the unique manager id, to filter the returned data. To be used with team scope.
-
mode: string
Specifies mode of interactions creations.Default Value:
autoAllowed Values:[ "auto", "manual" ] -
objectName: string
Specifies parent object name of the interactions.
-
regionCode: string
Specifies the unique region code, to filter the returned data. To be used with team scope.
-
roleIdList: string
Specifies the unique role id, to filter the returned data. To be used with team scope.
-
scope: string
Specifies the scope of the returned data. Team returns team data. Org returns organization data.Default Value:
allAllowed Values:[ "all", "team" ] -
userGuid: string
Specifies the unique user id, to filter the returned data. To be used with team scope.
There's no request body for this operation.
Security
-
BasicAuth: http
Type:
http
Response
Supported Media Types
- application/json
200 Response
successful operation
401 Response
Authentication Required
403 Response
Access Forbidden
Examples
The following example shows how to get all interactions by submitting a GET request on the REST resource.
Request Header Example
The following shows an example of the request header.
GET /crmRestApi/resources/11.13.18.05/interactions
Response Header Example
The following shows an example of the response header.
HTTP/1.1 200: OK Date: Fri, 03 Mar 2017 07:54:53 GMT Server : Oracle-HTTP-Server-11g Content-Type: application/vnd.oracle.adf.resourcecollection+json Content-Language: en
Response Body Example
The following shows an example of the response body in JSON format.
{
"items": [
{
"InteractionId": 300100096307925,
"ParentInteractionId": 300100096307925,
"TopLevelFlag": "true",
"Description": "Sent SrMessage 300100096307628",
"ChannelId": 300100092273686,
"ChannelDisplayName": "ditdevacisvcfib_qa.extservice.incoming",
"ChannelTypeCd": "ORA_SVC_EMAIL",
"AccountPartyId": null,
"AccountPartyUniqueName": null,
"ContactPartyId": null,
"ContactPartyUniqueName": null,
"QueueId": null,
"QueueName": null,
"OwnerResourceId": null,
"OwnerResourcePartyUniqueName": null,
"StartTime": "2017-02-20T04:09:17-08:00",
"EndTime": "2017-02-20T04:09:17-08:00",
"StatusCd": "ORA_SVC_CLOSED",
"OriginalSystemReference": null,
"CreatedBy": "FUSION_APPS_CRM_ESS_APPID",
"CreationDate": "2017-02-20T04:09:17-08:00",
"LastUpdatedBy": "FUSION_APPS_CRM_ESS_APPID",
"LastUpdateDate": "2017-02-20T04:09:17-08:00",
"LastUpdateLogin": "48F584F941357435E05307B3F20AB8E8",
"DirectionCd": "ORA_SVC_OUTBOUND",
"StripeCd": "ORA_SVC_CRM",
"MediaItemId": null,
"SubstatusCd": null,
"NotifyFlag": null,
"UpdateFlag": "true",
"DeleteFlag": "true",
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/interactions/300100096307925",
"name": "interactions",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/interactions/300100096307925",
"name": "interactions",
"kind": "item"
},
{
"rel": "lov",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/interactions/300100096307925/lov/DirectionCdLookup",
"name": "DirectionCdLookup",
"kind": "collection"
},
{
"rel": "lov",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/interactions/300100096307925/lov/StatusCdLookup",
"name": "StatusCdLookup",
"kind": "collection"
},
{
"rel": "lov",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/interactions/300100096307925/lov/ChannelIdByChannelType",
"name": "ChannelIdByChannelType",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/interactions/300100096307925/child/childInteractions",
"name": "childInteractions",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/interactions/300100096307925/child/interactionReferences",
"name": "interactionReferences",
"kind": "collection"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/crmRestApi/resources/11.13.18.05/interactions/300100096307925/enclosure/Payload",
"name": "Payload",
"kind": "other"
}
]
}
...
}